// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#define TestTrace_Classes_Package_A1_Package_F1_F1_Listening_BODY

/************************************************************
 F1_Listening class body
 ************************************************************/

// include associated header file
#include "TestTrace/Classes/Package_A1/Package_F1/F1_Listening.h"

// Derived includes directives
#include "TestTrace/Interfaces/I_MyInterface_1.h"

// Derived using namespaces
using namespace TestTrace::Interfaces;
namespace TestTrace {
namespace Classes {
namespace Package_A1 {
namespace Package_F1 {

// static attributes (if any)

/**
 * 
 * @param state 
 */
void F1_Listening::MyOperation_1(BooleanType /*in*/state) {
}

} // of namespace Package_F1
} // of namespace Package_A1
} // of namespace Classes
} // of namespace TestTrace

/************************************************************
 End of F1_Listening class body
 ************************************************************/
